Package org.apache.cxf.catalog

# Class CatalogXmlSchemaURIResolver

java.lang.Object
org.apache.cxf.catalog.CatalogXmlSchemaURIResolver

All Implemented Interfaces:
  `org.apache.ws.commons.schema.resolver.URIResolver`

public class CatalogXmlSchemaURIResolver extends Object implements org.apache.ws.commons.schema.resolver.URIResolver
Resolves URIs using Apache Commons Resolver API.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CatalogXmlSchemaURIResolver(Bus bus)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Map<String,String>`
  `getResolvedMap()`
  `InputSource`
  `resolveEntity(String targetNamespace, String schemaLocation, String baseUri)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CatalogXmlSchemaURIResolver

    public CatalogXmlSchemaURIResolver(Bus bus)

- ## Method Details

  - ### getResolvedMap

    public Map<String,String> getResolvedMap()

  - ### resolveEntity

    public InputSource resolveEntity(String targetNamespace, String schemaLocation, String baseUri)
    Specified by:
      `resolveEntity` in interface `org.apache.ws.commons.schema.resolver.URIResolver`